GenericAnalyticsActions (Deprecated)
GenericAnalyticsActions (Deprecated)
|
|
Headless v1 has been deprecated. We recommend using the latest version of the Coveo Headless library. |
The generic analytics action creators.
See Dispatch Actions.
Loader Function
loadGenericAnalyticsActions
Returns possible generic analytics action creators.
Parameters
-
engine:
SearchEngineThe headless engine.
Returns GenericAnalyticsActionCreators: The generic analytics action creators.
GenericAnalyticsActionCreators
logClickEvent
Creates a click analytics event.
Parameters
-
payload:
LogClickEventActionCreatorPayloadThe action creator payload.
Returns AsyncThunkAction<{
analyticsType: AnalyticsType.Click;
}, void, AsyncThunkAnalyticsOptions<StateNeededBySearchAnalyticsProvider>>: A dispatchable action.
logCustomEvent
Creates a custom analytics event.
Parameters
-
payload:
LogCustomEventActionCreatorPayloadThe action creator payload.
Returns AsyncThunkAction<{
analyticsType: AnalyticsType.Custom;
}, void, AsyncThunkAnalyticsOptions<StateNeededBySearchAnalyticsProvider>>: A dispatchable action.
logSearchEvent
Creates a search analytics event.
Parameters
-
payload:
LogSearchEventActionCreatorPayloadThe action creator payload.
Returns AsyncThunkAction<{
analyticsType: AnalyticsType.Search;
}, void, AsyncThunkAnalyticsOptions<StateNeededBySearchAnalyticsProvider>>: A dispatchable action.
Related types
HighlightKeyword
Properties
-
length:
numberThe length of the offset.
-
offset:
numberThe 0 based offset inside the string where the highlight should start.
LogClickEventActionCreatorPayload
Properties
-
evt:
stringThe identifier of the click action (for example,
documentOpen). -
result:
ResultThe result associated with the click event.
-
meta?:
Record<string, unknown>The event metadata.
LogCustomEventActionCreatorPayload
Properties
-
evt:
stringThe event cause identifier of the custom action
-
type:
stringThe event type identifier of the custom action
-
meta?:
Record<string, unknown>The event metadata.
LogSearchEventActionCreatorPayload
Properties
-
evt:
stringThe identifier of the search action (for example,
interfaceLoad). -
meta?:
Record<string, unknown>The event metadata.
Raw
Properties
-
[key: string]:
unknownCustom keys that depend on the documents in the index.
Result
Properties
-
absentTerms:
string[]The basic query expression terms which this query result item does not match. Note: This property is populated by terms from the query pipeline-processed q value (not from the original q value).
-
clickUri:
stringThe hyperlinkable item URI. Notes: Use the clickUri value when you want to create hyperlinks to the item, rather than the uri or printableUri value.
-
excerpt:
stringThe contextual excerpt generated for the item (see the excerptLength query parameter).
-
excerptHighlights:
HighlightKeyword[]The length and offset of each word to highlight in the item excerpt string.
-
firstSentences:
stringThe first sentences retrieved from the item (see the retrieveFirstSentences query parameter).
-
firstSentencesHighlights:
HighlightKeyword[]The length and offset of each word to highlight in the item firstSentences string.
-
flags:
stringThe flags that are set on the item by the index. Distinct values are separated by semicolons.
-
hasHtmlVersion:
booleanWhether the index contains an HTML version of this item.
-
isRecommendation:
booleanWhether the item score was boosted as a Coveo ML recommendation.
-
isTopResult:
booleanWhether the item score was boosted by a featured result rule in the query pipeline.
-
percentScore:
numberThe item ranking score expressed as a percentage (see the sortCriteria and rankingFunctions query parameters).
-
printableUri:
stringThe human readable item URI. Note: Avoid using the printableUri value to create hyperlinks to the item. Use the clickUri value instead.
-
printableUriHighlights:
HighlightKeyword[]The length and offset of each word to highlight in the item printableUri string.
-
rankingInfo:
string | nullThe raw debug information generated by the index to detail how the item was ranked. This property is null unless the debug query parameter is set to true.
-
raw:
RawThe values of the fields which were retrieved for this item (see the fieldsToInclude and fieldsToExclude query parameters).
-
score:
numberThe total ranking score computed for the item (see the sortCriteria and rankingFunctions query parameters).
-
summary:
nullThe item summary (see the summaryLength query parameter).
-
summaryHighlights:
HighlightKeyword[]The length and offset of each word to highlight in the item summary string.
-
title:
stringContains the title of the item.
-
titleHighlights:
HighlightKeyword[]The length and offset of each word to highlight in the item title string.
-
uniqueId:
stringThe unique item identifier. You should consider the uniqueId value as an opaque string.
-
uri:
stringThe item URI. Notes: Avoid using the uri value to create hyperlinks to the item. Use the clickUri value instead.
-
rankingModifier?:
stringIf applicable, represents the type of ranking modification that was applied to this result.